Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.3.3

Description

I've found a weird bug after updating from Redmine 3.1.1 to 3.3.3: time tracking is broken and somehow dependent on individual time

zone and language preference.

Our Redmine server is located in central Europe (CEST, or GMT+1), I am located in Texas (CT, or GMT-6). When I set my personal

timezone accordingly in "My account", time entries under "spent time" are not showing up properly anymore. Instead, to see today's

time entries I have to select "yesterday" from the dropdown menu, and to see this week's time entries I have to select "last week".

And to make matters worse it somehow also depends on my personal language preference configured under "My account" as well:

1. time zone GMT+1, language German

all good; see attached screenshots 1_de_cest_today & 2_de_cest_thisweek. This is what I expect to see regardless of

time zone and language.

2. time zone GMT-6, language German

today = yesterday; see 3_de_ct_today & 4_de_ct_yesterday,

this week = broken, monday is missing and can be found in last week's view; see 5_de_ct_thisweek & 6_de_ct_lastweek

3. time zone GMT-6, language English

today = yesterday, same behavior as in 2

this week = working, monday showing up as expected, see 7_en_ct_thisweek & 8_en_ct_lastweek

This has only started after the update from Redmine 3.1.1 to 3.3.3 yesterday, it was all working perfectly fine until just yesterday. I

also have to add that this happens independent of time and date. The time and date, when those screenshots were taken:

CEST in Europe: 6/13/2017, 6:00pm

CT in Texas: 6/13/2017, 11:00am

I've tried this yesterday as well when it was around 10pm in Europe and 3pm in Texas, and later also when it was 6pm in Texas but

already 1am the next day in Europe. Results were the same.

System info:

sh: 1: svn: not found

sh: 1: darcs: not found

sh: 1: hg: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

  Redmine version                3.3.3.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            2.7.4

  Filesystem                     

Redmine plugins:

  localizable                    0.4.0

  projects_table                 0.0.4

  redmine_agile                  1.4.3

  redmine_base_deface            0.0.1

  redmine_base_select2           0.0.1

  redmine_contacts               4.0.2

  redmine_contacts_helpdesk      3.0.7
  redmine_multiprojects_issue    3.3.0

  redmine_theme_changer          0.2.0

  sidebar_hide                   0.0.8

 I've tested it with all plugins disabled and all themes removed, and it behaved the same. Something seems to be broken somewhere

somehow.

Related issues:

Is duplicate of Redmine - Defect #16482: Wrong search query for timelog, when... New

History

#1 - 2017-06-13 18:50 - Toshi MARUYAMA

- Resolution set to Duplicate

Duplicate of #16482.

Martin Jungowski wrote:

This has only started after the update from Redmine 3.1.1 to 3.3.3 yesterday,

 #16482#note-7 says there is no behaviour change.

#2 - 2017-06-13 18:50 - Toshi MARUYAMA

- Is duplicate of Defect #16482: Wrong search query for timelog, when timezone not UTC added

#3 - 2017-06-13 18:51 - Toshi MARUYAMA

- Status changed from New to Closed
